Forum: Italian Ruby user group errore passenger

Announcement (2017-05-07): www.ruby-forum.com is now read-only since I unfortunately do not have the time to support and maintain the forum any more. Please see rubyonrails.org/community and ruby-lang.org/en/community for other Rails- und Ruby-related community platforms.
joxer (Guest)
on 2009-04-11 14:21
(Received via mailing list)
Ho provato a installare passenger da gem, solo che mi ritorna
quest'errore (ho mkmf installato) :

joxer@trantor:~$ sudo gem1.8 install passenger
Building native extensions.  This could take a while...
ERROR:  Error installing passenger:
  ERROR: Failed to build gem native extension.

/usr/bin/ruby1.8 extconf.rb install passenger
extconf.rb:29: undefined method `with_cflags' for main:Object
(NoMethodError)


Gem files will remain installed
in /usr/lib/ruby/gems/1.8/gems/passenger-2.1.3 for inspection. Results
logged
to
/usr/lib/ruby/gems/1.8/gems/passenger-2.1.3/ext/phusion_passenger/gem_make.out

sapete aiutarmi?
Msan M. (Guest)
on 2009-04-14 00:00
(Received via mailing list)
2009/4/11 joxer <removed_email_address@domain.invalid>:
> (NoMethodError)
>
>
> Gem files will remain installed
> in /usr/lib/ruby/gems/1.8/gems/passenger-2.1.3 for inspection. Results
> logged
> to /usr/lib/ruby/gems/1.8/gems/passenger-2.1.3/ext/phusion_passenger/gem_make.out
>
> sapete aiutarmi?

Hai installato ruby-dev?
joxer (Guest)
on 2009-04-14 16:53
(Received via mailing list)
Il giorno Mon, 13 Apr 2009 22:00:16 +0200
Mauro <removed_email_address@domain.invalid> ha scritto:

> > extconf.rb:29: undefined method `with_cflags' for main:Object
> Hai installato ruby-dev?
> _______________________________________________
> Ml mailing list
> removed_email_address@domain.invalid
> http://lists.ruby-it.org/mailman/listinfo/ml

si l'ho installato
Msan M. (Guest)
on 2009-04-14 23:36
(Received via mailing list)
2009/4/14 joxer <removed_email_address@domain.invalid>:
>> >        ERROR: Failed to build gem native extension.
>> >
>> > sapete aiutarmi?
>>
>> Hai installato ruby-dev?

Se usi debian o ubuntu ci sono i deb belli e pronti.
joxer (Guest)
on 2009-04-15 14:31
(Received via mailing list)
Il giorno Tue, 14 Apr 2009 21:35:22 +0200
Mauro <removed_email_address@domain.invalid> ha scritto:

> >> > ERROR:  Error installing passenger:
> >> > to /usr/lib/ruby/gems/1.8/gems/passenger-2.1.3/ext/phusion_passenger/gem_make.out
> >> >
> >> > sapete aiutarmi?
> >>
> >> Hai installato ruby-dev?
>
> Se usi debian o ubuntu ci sono i deb belli e pronti.
> _______________________________________________
> Ml mailing list
> removed_email_address@domain.invalid
> http://lists.ruby-it.org/mailman/listinfo/ml

ah ok, si uso debian. Ora installo da li'

grazie, joxer
Msan M. (Guest)
on 2009-04-15 15:14
(Received via mailing list)
> ah ok, si uso debian. Ora installo da li'

qui ci sono le indicazioni su quale repository devi usare
http://debian.tryphon.org
This topic is locked and can not be replied to.